
%define plugin	weatherng
%define name	vdr-plugin-%plugin
%define version	0.0.7
%define prerel	pre2
%define rel	2

%define release %mkrel 0.%prerel.%rel
%define distsuffix plf

Summary:	VDR plugin: Weather forecast
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPL/Proprietary
URL:		http://www.glaserei-franz.de/VDR/Moronimo2/vdrplugins.htm
# Upstream source seemed down
Source:		vdr-plugin-weatherng_0.0.6+0.0.7pre2.orig.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	imlib2-devel
Requires:	vdr-abi = %vdr_abi

%description
Weather forecast plugin for VDR.

This package is in PLF because it includes weather symbols that
have non-free license.

%prep
%setup -q -n weatherng-0.0.7-pre2.orig
perl -pi -e 's,^SETUPDIR=.*$,SETUPDIR=%{_vdr_cfgdir},' examples/weatherng.sh
chmod 0644 README.DE README HISTORY
chmod 0755 examples/weatherng.sh

%vdr_plugin_params_begin %plugin
# plugin data directory
var=DATADIR
param="-D DATADIR"
# plugin image directory
var=IMAGEDIR
param="-I IMAGEDIR"
default=%{_vdr_plugin_datadir}/%{plugin}
# plugin script directory
var=SCRIPTDIR
param="-S SCRIPTDIR"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}/%{plugin}/images
install -m644 images/* %{buildroot}%{_vdr_plugin_datadir}/%{plugin}/images

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README README.DE HISTORY examples
%{_vdr_plugin_datadir}/%{plugin}

%changelog
* Sun Dec 10 2006 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.2plf2007.1
- rebuild for new vdr

* Sun Nov 05 2006 Anssi Hannula <anssi@zarb.org> 0.0.7-0.pre2.1plf2007.1
- initial PLF release
